Bug 1575391 - only wayland works with nouveau in fedora 28
Summary: only wayland works with nouveau in fedora 28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 14:13 UTC by Tom Horsley
Modified: 2020-05-26 15:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:03:00 UTC
Type: Bug


Attachments (Terms of Use)
xorg log from blank screen X session (58.53 KB, text/plain)
2018-05-06 14:13 UTC, Tom Horsley
no flags Details
The xorg log from working nvidia drivers on same hardware (34.76 KB, text/plain)
2018-05-06 14:15 UTC, Tom Horsley
no flags Details
working xorg log on system at work (47.88 KB, text/plain)
2018-05-07 11:54 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2018-05-06 14:13:30 UTC
Created attachment 1432379 [details]
xorg log from blank screen X session

Description of problem:

I tried to set my session type to gnome on xorg and got totally blank screen which I couldn't recover from. I'm not sure if the system crashed since I didn't have ssh enabled at the time, and I've since installed the rpmfusion nvidia drivers which do work with X.

It may just have picked a really awful mode to set from the EDID of the LG B6 OLED TV I'm using as a monitor. I got an xorg log file, but I don't see any errors in it and I didn't find any kinds of errors in the journal after hitting the reset button to get my system back.

On a possibly related note, when booting with the rhgb kernel parameter a bunch of things like look like errors flash past too fast to see, then the screen blanks and the little fedora logo shape never appears, but eventually the login screen does show up and everything seems to work OK in wayland.

I'll attach the xorg log from /home/tom/.local/share/xorg/Xorg.0.log

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.15-4.fc28.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Try to use X instead of wayland
2.
3.

Actual results:
Blank screen

Expected results:
Normal X session

Additional info:

The video card is:
01:00.0 VGA compatible controller: NVIDIA Corporation GM206 [GeForce GTX 960] (rev a1)

The monitor is:
LG B6P OLED television (on hdmi)

The TV popped up the "no signal" screen, so it didn't see any kind of output it could treat as video from the hdmi connection.

Comment 1 Tom Horsley 2018-05-06 14:15:52 UTC
Created attachment 1432380 [details]
The xorg log from working nvidia drivers on same hardware

Comment 2 Matt Daveson 2018-05-06 14:20:31 UTC
I think nvidia proprietary drivers are not yet compatible with wayland.

Comment 3 Tom Horsley 2018-05-06 14:47:06 UTC
The point of the bugzilla is that xorg doesn't work with nouveau, not that wayland doesn't work with nvidia.

Comment 4 Tom Horsley 2018-05-07 11:54:33 UTC
Created attachment 1432580 [details]
working xorg log on system at work

At work, I have a different model nvidia card and a different (but still UHD resolution) monitor, and nouveau is working OK. Here's the xorg log from the system at work.

Comment 5 Tom Horsley 2018-05-07 16:52:04 UTC
And speaking of the system I have at work, it just had the screen go all macroblocky and freeze up under the nouveau driver while in google-chrome. I couldn't find any messages that looked useful in any log files, but I took that as a hint that I should go ahead and install the rpmfusion nvidia drivers here at work as well.

Comment 6 Ben Cotton 2019-05-02 21:49:58 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Tom Horsley 2019-05-04 14:01:47 UTC
I've just been installing fedora 30 on the same system with the same hardware, and once again I get a totally black screen when I try to run X with nouveau (wayland worked fine). The system is up, just no valid video signal. Eventually the LG TV puts up a screen that say "invalid signal" with a cute little animated blob. It seems to be just going horribly wrong getting EDID when running X for some reason. Was able to install the nvidia drivers from rpmfusion via an ssh session, then on reboot, got a perfectly fine display, so the info is there, but nouveau X isn't figuring it out.

Comment 8 Ben Cotton 2020-04-30 22:06:43 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-05-26 15:03:00 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.